Subject: Re: [patch] d80211: use pfifo_qdisc_ops rather than d80211-specific qdisc

From: Jeff Garzik <[email-masked]>
Date: Wed, 01 Nov 2006 19:30:01 -0500

James Ketrenos wrote:
> If people have issues with with specific components of d80211 prior to
> its merging, stand up and state what they are and how not fixing them
> would negatively impact people that aren't using the d80211 subsystem.
> 
> Don't take the above as me saying there aren't items that need to be
> fixed/improved in d80211 -- there is work to be done.  But that
> shouldn't stop it from being merged w/ the EXPERIMENTAL flag set.

> We reached the point where we should be in -mm a long time ago as soon
> as both stacks could exist concurrently.  d80211 should have been in
> Linus' tree a long time ago.

d80211 merge stoppers:
- SMP issues (lack of locking, and overlocking via use of Big Network Lock)
- userspace ABI

It definitely shouldn't go upstream without that stuff.

	Jeff